org.apache.lucene.index

## Class AssertingLeafReader.AssertingSortedNumericDocValues

- java.lang.Object
- - org.apache.lucene.search.DocIdSetIterator
  - - org.apache.lucene.index.SortedNumericDocValues
    - - org.apache.lucene.index.AssertingLeafReader.AssertingSortedNumericDocValues

Enclosing class:
  AssertingLeafReader

    public static class AssertingLeafReader.AssertingSortedNumericDocValues
    extends SortedNumericDocValues

Wraps a SortedNumericDocValues but with additional asserts

### Field Summary

### Fields inherited from class org.apache.lucene.search.DocIdSetIterator

`NO_MORE_DOCS`

### Constructor Summary

Constructors
Constructor and Description
`AssertingSortedNumericDocValues(SortedNumericDocValues in, int maxDoc)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `advance(int target)`
`boolean` `advanceExact(int target)`
`long` `cost()`
`int` `docID()`
`int` `docValueCount()`
`int` `nextDoc()`
`long` `nextValue()`

### Methods inherited from class org.apache.lucene.search.DocIdSetIterator

`all, empty, range, slowAdvance`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AssertingSortedNumericDocValues

    public AssertingSortedNumericDocValues(SortedNumericDocValues in,
                                           int maxDoc)

### Method Detail

#### docID

    public int docID()

Specified by:
  `docID` in class `DocIdSetIterator`

#### nextDoc

    public int nextDoc()
                throws IOException

Specified by:
  `nextDoc` in class `DocIdSetIterator`
Throws:
  `IOException`

#### advance

    public int advance(int target)
                throws IOException

Specified by:
  `advance` in class `DocIdSetIterator`
Throws:
  `IOException`

#### advanceExact

    public boolean advanceExact(int target)
                         throws IOException

Throws:
  `IOException`

#### cost

    public long cost()

Specified by:
  `cost` in class `DocIdSetIterator`

#### nextValue

    public long nextValue()
                   throws IOException

Specified by:
  `nextValue` in class `SortedNumericDocValues`
Throws:
  `IOException`

#### docValueCount

    public int docValueCount()

Specified by:
  `docValueCount` in class `SortedNumericDocValues`